﻿<%@ Control Language="C#" AutoEventWireup="true" ClassName="Lers.Web.Client.Header" %>

<%@ Register Assembly="DevExpress.Web.v14.2, Version=14.2.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>

<style type="text/css">
	/* Делаем из картинки блочный элемент, чтобы убрать все отступы внутри таблицы*/
	#header table
	{
		border-collapse: collapse;
	}

	#header img
	{
		display: block;
	}

	/* Ячейка таблицы с логотипом*/
	#header #header_part_logo
	{
		padding-left: 10px;
	}

	#header #header_part_title
	{
		padding-left: 10px;
		width: 100%;	
	}
</style>

<table>
	<tr>
		<td id="header_part_logo">
			<dx:ASPxImage ID="companyLogo" runat="server" Height="31" ClientInstanceName="companyLogo" Cursor="pointer" EnableViewState="false" >
				<ClientSideEvents Click="function (s, e) { companyLogo_Click(s, e); }" />
			</dx:ASPxImage>
		</td>
		<td id="header_part_title">
			<dx:ASPxLabel ID="headerTitle" runat="server" Height="17" EnableViewState="false" />
		</td>
	</tr>
</table>

<script runat="server">

		/// <summary>
		/// Наименование сайта
		/// </summary>
		string applicationTittle = "";

		/// <summary>
		/// Путь к логотипу компании
		/// </summary>
		string companyLogoFile = "";

		/// <summary>
		/// Наименование компании
		/// </summary>
		string companyTitle = "";

		/// <summary>
		/// Адрес компании
		/// </summary>
		string companyUrl = "/";

		/// <summary>
		/// Обработчик события PreRender, происходит перед формированием конечной разметки страницы. Событие не происходит при обратном вызове CallBack, но происходит при PostBack.
		/// </summary>
		protected void Page_PreRender(object sender, EventArgs e)
		{
			if (Lers.Web.Client.MainMaster.IsTerminating)
				return;

			InitializeSettings();

			// Заголовок сайта
			if (headerTitle != null)
				headerTitle.Text = this.applicationTittle;

			SetCompanyLogo();
		}

		/// <summary>
		/// Установка логотипа компании
		/// </summary>
		private void SetCompanyLogo()
		{
			// Логотип компании
			if (this.companyLogoFile == "" || !System.IO.File.Exists(System.IO.Path.Combine(HttpContext.Current.Server.MapPath("~"), this.companyLogoFile.TrimStart(new char[] { '/' }))))
			{
				companyLogo.Visible = false;
				return;
			}

			// Альтернативный текст
			string alternateText = "";

			if (this.companyTitle == "")
				alternateText = "Компания";
			else
				alternateText = companyTitle;

			// Устанавливаем логотип
			companyLogo.ImageUrl = this.companyLogoFile;
			companyLogo.AlternateText = alternateText;

			// Наименование компании
			companyLogo.ToolTip = companyTitle;

			companyLogo.JSProperties.Add("cpcompanyUrl", this.companyUrl);
		}

		/// <summary>
		/// Инициализирует параметры
		/// </summary>
		private void InitializeSettings()
		{
			// Секция настроек для веб-интерфейса
			var settings = ConfigurationManager.GetSection("lersAppSettings") as NameValueCollection;

			if (settings == null)
				return;

			this.applicationTittle = settings["ApplicationTitle"] ?? "";
			this.companyLogoFile = settings["CompanyLogoFile"] ?? "";
			companyTitle = settings["CompanyTitle"] ?? "";

			// Сайт компании
			this.companyUrl = settings["CompanyUrl"] ?? "";

			if (this.companyUrl != "" && !this.companyUrl.StartsWith("http://"))
				this.companyUrl = "http://" + this.companyUrl;

			if (this.companyUrl == "")
				this.companyUrl = "/";
		}
		
</script>